### Hierarchy

- Log

## Index

### Properties

- _logLevel
- debug
- error
- info
- init
- warn

### Methods

- formatRecString
- isEnabled
- log
- logLevel
- prettyPrint

## Properties

### Static Private _logLevel

_logLevel: LogLevel

- Defined in util/Log.ts:17

### Static debug

debug: function

- Defined in util/Log.ts:12

#### Type declaration

- - (message: any, method?: string, clz?: string): void

  - #### Parameters

    - ##### message: any

    - ##### Optional method: string

    - ##### Optional clz: string

    #### Returns void

### Static error

error: function

- Defined in util/Log.ts:13

#### Type declaration

- - (message: any, method?: string, clz?: string): void

  - #### Parameters

    - ##### message: any

    - ##### Optional method: string

    - ##### Optional clz: string

    #### Returns void

### Static info

info: function

- Defined in util/Log.ts:14

#### Type declaration

- - (message: any, method?: string, clz?: string): void

  - #### Parameters

    - ##### message: any

    - ##### Optional method: string

    - ##### Optional clz: string

    #### Returns void

### Static init

init: void = Log.logLevel(LogLevel.INFO)

- Defined in util/Log.ts:85

### Static warn

warn: function

- Defined in util/Log.ts:15

#### Type declaration

- - (message: any, method?: string, clz?: string): void

  - #### Parameters

    - ##### message: any

    - ##### Optional method: string

    - ##### Optional clz: string

    #### Returns void

## Methods

### Static formatRecString

- formatRecString(o: any): string

- - Defined in util/Log.ts:101

  #### Parameters

  - ##### o: any

  #### Returns string

### Static isEnabled

- isEnabled(level: LogLevel): boolean

- - Defined in util/Log.ts:80

  #### Parameters

  - ##### level: LogLevel

  #### Returns boolean

### Static Private log

- log(logger: any, message: any, method?: string, clz?: string): void

- - Defined in util/Log.ts:87

  #### Parameters

  - ##### logger: any

  - ##### message: any

  - ##### Optional method: string

  - ##### Optional clz: string

  #### Returns void

### Static logLevel

- logLevel(level: LogLevel): void

- - Defined in util/Log.ts:19

  #### Parameters

  - ##### level: LogLevel

  #### Returns void

### Static prettyPrint

- prettyPrint(o: any): string

- - Defined in util/Log.ts:97

  #### Parameters

  - ##### o: any

  #### Returns string

Generated using TypeDoc